/* eslint-disable no-shadow */
import { run } from '../../../../main/node/helpers';
import { Writable } from 'stream';
describe('node > helpers', function () {
  this.timeout(20000);
  it('run', async function () {
    let log = '';
    const stdout = new Writable({
      write(chunk, encoding, callback) {
        log += chunk.toString(encoding === 'buffer' ? void 0 : encoding);
      }

    });
    const result = await run('echo 123', {
      returnOutputs: true,

      prepareProcess(proc) {
        proc.stdout.pipe(stdout);
      }

    });
    assert.strictEqual(result.out.trim(), '123');
    assert.strictEqual(result.both.trim(), '123');
    assert.strictEqual(result.err.trim(), '');
    assert.strictEqual(log.trim(), '123');
  });
});